Bug 471637 - bad error message if --module-dir is not a directory.
bad error message if --module-dir is not a directory.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
beta
All Linux
medium Severity low
: 1.1
: ---
Assigned To: Gordon Sim
Kim van der Riet
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-14 14:07 EST by Alan Conway
Modified: 2009-03-20 04:10 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-20 04:10:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alan Conway 2008-11-14 14:07:55 EST
Description of problem:

Start qpidd with a filename for --module-dir, gives a meaningless error message:

qpidd --module-dir .libs/cluster.so --help
boost::filesystem::basic_directory_iterator constructor

Expected results:

Meangingful message e.g.

Invalid value for module-dir: ".libs/cluster.so" is not a directory.

Additional info:
Comment 1 Gordon Sim 2008-11-24 07:42:18 EST
Fixed by r720177.
Comment 2 Frantisek Reznicek 2008-11-28 02:44:42 EST
The issue has been fixed.
Validated on RHEL 4.7 / 5.2 i386 / x86_64 on latest packages (qpidd-0.3.719671-1.el5) and latest sources (rev: 721356), with following results:

[freznice@dhcp-lab-200 src]$ ./qpidd --module-dir .libsf/cluster.so --help
2008-nov-28 08:43:50 critical Broker start-up failed: Directory not found: .libsf/cluster.so
[freznice@dhcp-lab-200 src]$ echo $?
1

[freznice@dhcp-lab-200 direct]$ /usr/sbin/qpidd --module-dir .libsf/cluster.so --help
2008-nov-28 08:44:15 critical Broker start-up failed: Directory not found: .libsf/cluster.so
[freznice@dhcp-lab-200 direct]$ echo $?
1


->VERIFIED

Note You need to log in before you can comment on or make changes to this bug.